package com.lframework.xingyun.sc.service.chart;

import com.lframework.xingyun.sc.dto.chart.OrderProportionDto;
import com.lframework.xingyun.sc.vo.chart.*;

import java.util.List;

public interface HomeChartService {

  /**
   * 今日销售与采购情况
   * @return
   */
  OrderTodaysDataVo statisticsTodaysOrderData();


  /**
   * 本月销售与采购情况
   */
  OrderMonthDataVo statisticsMonthOrderData();

  /**
   * 订单趋势分析-每月
   * @return
   */
  OrderMonthContrastVo orderMonthContrast();

  /**
   * 订单趋势分析-每日
   */
  OrderTodaysContrastVo orderTodaysContrast();

  /**
   * 订单占比
   * @param orderProportionDto
   * @return
   */
  OrderProportionVo orderProportion(OrderProportionDto orderProportionDto);

  /**
   * 商品库存占比
   * @return
   */
  List<ProductStockProportionVo> productProductStockProportion();

  /**
   * 销售人员排名-本周
   * @return
   */
  List<SaleSalerRankVo> saleSalerWeekRank();

  /**
   * 销售人员排名-本月
   * @return
   */
  List<SaleSalerRankVo> saleSalerMonthRank();


  /**
   * 销售毛利分析-最近12月
   * @return
   */
  SaleOrderGrossMarginVo saleOrderGrossMargin();

  /**
   * 销售毛利分析-去年
   * @return
   */
  SaleOrderLastYearProfitVo saleOrderLastYearProfit();


  /**
   * 年度累计销售额，销售数量，销售成本，毛利率
   * @return
   */
  SaleOrderCurrentYearAmountVo saleOrderCurrentYearAmount();


}
